CREATE TABLE ego_routes[ (
    ROUTE_ID                      NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    ROUTE_INTERNAL_NAME           VARCHAR2(320)     NOT NULL,
    TEMPLATE_FLAG                 VARCHAR2(4)       NOT NULL,
    OBJECT_NAME                   VARCHAR2(120)     NOT NULL,
    OBJECT_PK1                    NUMBER(18, 0) ,
    OBJECT_PK2                    NUMBER(18, 0) ,
    OBJECT_PK3                    NUMBER(18, 0) ,
    OBJECT_PK4                    NUMBER(18, 0) ,
    OBJECT_PK5                    NUMBER(18, 0) ,
    APPLIED_TEMPLATE_ID           NUMBER(18, 0) ,
    STATUS_CODE                   VARCHAR2(120) ,
    ROUTE_START_DATE              DATE          ,
    ROUTE_END_DATE                DATE          ,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    ROUTE_TYPE_CODE               VARCHAR2(80)  ,
    WF_TASK_INSTANCE_ID           VARCHAR2(400) ,
    SEED_DATA_SOURCE              VARCHAR2(2048),
    RESPONSE_REQUIRED_FROM        VARCHAR2(80)  ,
    BASE_CHANGE_MGMT_TYPE_CODE    VARCHAR2(120) ,
    SOURCE_TYPE_CODE              VARCHAR2(120) ,
    ORA_SEED_SET1                 VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                 VARCHAR2(4)       NOT NULL
);
